E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
GSmtp::VerifierStatus Class Reference

A structure returned by GSmtp::Verifier to describe the status of a 'rcpt-to' recipient. More...

`#include <gverifierstatus.h>`

## Public Member Functions
| VerifierStatus ()
| Default constructor for an invalid remote mailbox.
| VerifierStatus (const std::string &)
| Constructor for a valid remote mailbox with the given 'address' field. More...
std::string | str (const std::string &to) const
| Returns a string representation of the structure plus the original recipient 'to' address. More...

## Static Public Member Functions
static VerifierStatus | parse (const std::string &str, std::string &to_ref)
| Parses a str() string into a structure and a recipient 'to' address (by reference). More...

## Public Attributes
bool | is_valid
bool | is_local
bool | temporary
bool | abort
std::string | full_name
std::string | address
std::string | response
std::string | reason

## Detailed Description

A structure returned by GSmtp::Verifier to describe the status of a 'rcpt-to' recipient.

If describing an invalid recipient then 'is_valid' is set false and a 'response' is supplied. The response is typically reported back to the submitter, so it should not contain too much detail.

The 'reason' string can be added by the user of the verifier to give more context in the log in addition to 'response'.

If a valid local recipient then 'is_local' is set true, 'full_name' is set to the full description of the mailbox and 'address' is set to the recipient's mailbox name (which should not have an at sign).

If a valid remote recipient then 'is_local' is set false, 'full_name' is empty, and 'address' is copied from the original recipient 'to' address.

Definition at line 51 of file gverifierstatus.h.

## Constructor & Destructor Documentation

GSmtp::VerifierStatus::VerifierStatus | ( | const std::string & | mbox | ) |
| explicit

Constructor for a valid remote mailbox with the given 'address' field.

Definition at line 35 of file gverifierstatus.cpp.

## Member Function Documentation

GSmtp::VerifierStatus GSmtp::VerifierStatus::parse | ( | const std::string & | str,
|  | std::string & | to_ref
| ) |  |
| static

Parses a str() string into a structure and a recipient 'to' address (by reference).

Definition at line 44 of file gverifierstatus.cpp.

std::string GSmtp::VerifierStatus::str | ( | const std::string & | to | ) | const

Returns a string representation of the structure plus the original recipient 'to' address.

Definition at line 72 of file gverifierstatus.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gverifierstatus.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gverifierstatus.cpp